Get next courses

Calendar: List next courses based on course start dates using GET.

Request

GET https://api.frontcore.com/v2/nextcoursedates

For every API request you make, you'll need to present the API access key in the HTTP Header as X-API-Key to be authenticated.

Parameters

Name Required Value Description
include_partners optional boolean Include course dates from partner providers. When set to true, returns course dates from both the main provider and approved partner providers. Partner courses must be active, publicly visible, and not internal.
partner_id optional number Filter results to only include course dates from a specific partner provider. Implicitly enables partner filtering. The authenticated provider must have an approved partner connection with the specified provider.
include[] optional string Request additional information by specifying the 'include' parameter as a path using dot notation.
You can include multiple objects at once by specifying multiple items in the include array.

Supported items for this endpoint:
`course.products`
`course.reference_internal`
`instructors`
`provider`

Example code in PHP

$request_url = 'https://api.frontcore.com/v2/nextcoursedates';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $request_url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); 

curl_setopt($ch, CURLOPT_HTTPHEADER, array(
  'X-API-Key: {your-api-key}',
  'Accept: application/json',
));
$result = curl_exec($ch);
curl_close($ch);
               

Response

If the method is successful it responds with an JSON structure, as it is shown below.

[]

Unsuccessful response sample:

{
    "error": "Wrong API Key"
}      
© 2026 FrontCore